VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CGradient Class Reference
Version 4.0

Gradient Object [new in 4.0]. More...

Inheritance diagram for CGradient:

## Public Types
using | ColorStopMap = std::multimap< double, CColor >

## Public Member Functions
Member Access
void | addColorStop (double start, const CColor &color)
virtual void | addColorStop (const std::pair< double, CColor > &colorStop)
virtual void | addColorStop (std::pair< double, CColor > &&colorStop)
const ColorStopMap & | getColorStops () const
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | beforeDelete ()

## Static Public Member Functions
static CGradient * | create (const ColorStopMap &colorStopMap)
static CGradient * | create (double color1Start, double color2Start, const CColor &color1, const CColor &color2)

## Protected Member Functions
| CGradient (double color1Start, double color2Start, const CColor &color1, const CColor &color2)
| CGradient (const ColorStopMap &colorStopMap)

## Protected Attributes
ColorStopMap | colorStops

## Detailed Description

Gradient Object [new in 4.0].

## Member Typedef Documentation

using ColorStopMap = std::multimap<double, CColor>

## Constructor & Destructor Documentation

CGradient | ( | double | color1Start,
|  | double | color2Start,
|  | const CColor & | color1,
|  | const CColor & | color2
| ) |  |
| inline protected

CGradient | ( | const ColorStopMap & | colorStopMap | ) |
| inline explicit protected

## Member Function Documentation

void addColorStop | ( | double | start,
|  | const CColor & | color
| ) |  |
| inline

virtual void addColorStop | ( | const std::pair< double, CColor > & | colorStop | ) |
| inline virtual

virtual void addColorStop | ( | std::pair< double, CColor > && | colorStop | ) |
| inline virtual

static CGradient* create | ( | const ColorStopMap & | colorStopMap | ) |
| static

static CGradient* create | ( | double | color1Start,
|  | double | color2Start,
|  | const CColor & | color1,
|  | const CColor & | color2
| ) |  |
| inline static

const ColorStopMap& getColorStops | ( |  | ) | const
| inline

## Member Data Documentation

ColorStopMap colorStops
| protected

The documentation for this class was generated from the following file:

- cgradient.h